IRPCSearch.GetFolderContentsOfPinboard

View as Markdown

Vault API / core write session or assertion returns metadata structure version

Gets the contents of the Pinboard items.

ServiceSearch MFiles.IRPCSearch
gRPC method/MFiles.IRPCSearch/GetFolderContentsOfPinboard
HTTP (mf-http-grpc)POST /grpc/v1/get-folder-contents-of-pinboard
RequestGetFolderContentsOfPinboardRequest
ResponseGetFolderContentsOfPinboardResponse
Book and levelVault API, core
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Used by the M-Files clients to show the caller's pinned items.

Request: GetFolderContentsOfPinboardRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
max_resultsuint32Requested max results. If this is 0, it should be ignored.
include_parentboolTrue if parent location of the property and traditional folders to be included in the result.

Response: GetFolderContentsOfPinboardResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
view_folders_with_parent_location[]repeated ViewWithParentLocationResulting views.
view_folders_with_parent_location[].parent_location[]repeated FolderThe location of the view folder.
view_folders_with_parent_location[].parent_location[].typeFolderTypeThe type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6).
view_folders_with_parent_location[].parent_location[].dataFolderInfoUnionAdditional folder type -specific information as a union.
view_folders_with_parent_location[].valueViewResulting the view.
view_folders_with_parent_location[].value.idint32The ID of the view.
view_folders_with_parent_location[].value.typeViewTypeThe type of the view.Values: VIEW_TYPE_SHOW_OBJECTS (0), VIEW_TYPE_FILTER_ONLY (1).
view_folders_with_parent_location[].value.namestringThe name of the view.
view_folders_with_parent_location[].value.is_commonboolTells if the view is admin-defined (common) or user-defined.
view_folders_with_parent_location[].value.is_visibleboolTells if the view is visible.
view_folders_with_parent_location[].value.locationViewLocationThe location of the view. Valid only if bHasParent is true.
view_folders_with_parent_location[].value.content_definitionSearchDefThe search definition that contains the view levels and search conditions of the view.
view_folders_with_parent_location[].value.aclAccessControlListPermissions.
view_folders_with_parent_location[].value.flags_obsoleteuint32Bit flags that provide additional information on the view.
view_folders_with_parent_location[].value.optionsVIEWFLAGSBit flags that provide additional information on the view.
view_folders_with_parent_location[].value.guidstringGUID for the view.
view_folders_with_parent_location[].value.view_visualizationViewVisualizationView visualization information.
view_folders_with_parent_location[].pinned_item_idstringThe pinned item id is the guid key referencing this item in pinboard.
property_folders_with_parent_location[]repeated PropertyFolderWithParentResulting property folders.
property_folders_with_parent_location[].parent_location[]repeated FolderThe location of the parent folders. Field with fid( 2 ) is reserved for legacy reasons and must not be re-used.
property_folders_with_parent_location[].parent_location[].typeFolderTypeThe type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6).
property_folders_with_parent_location[].parent_location[].dataFolderInfoUnionAdditional folder type -specific information as a union.
property_folders_with_parent_location[].valueTypedValueThe value of the property.
property_folders_with_parent_location[].value.is_null_valueboolTrue if the value is empty. data is then unset.
property_folders_with_parent_location[].value.typeDatatypeThe data type of the value.
property_folders_with_parent_location[].value.dataTypedValueUnionThe value, in the member that matches type. Unset for an empty value.
property_folders_with_parent_location[].pinned_item_idstringThe pinned item id is the guid key referencing this item in pinboard.
property_folders_with_parent_location[].last_parent_viewViewThe last view and search conditions from the parent folder.
property_folders_with_parent_location[].last_parent_view.idint32The ID of the view.
property_folders_with_parent_location[].last_parent_view.typeViewTypeThe type of the view.Values: VIEW_TYPE_SHOW_OBJECTS (0), VIEW_TYPE_FILTER_ONLY (1).
property_folders_with_parent_location[].last_parent_view.namestringThe name of the view.
property_folders_with_parent_location[].last_parent_view.is_commonboolTells if the view is admin-defined (common) or user-defined.
property_folders_with_parent_location[].last_parent_view.is_visibleboolTells if the view is visible.
property_folders_with_parent_location[].last_parent_view.locationViewLocationThe location of the view. Valid only if bHasParent is true.
property_folders_with_parent_location[].last_parent_view.content_definitionSearchDefThe search definition that contains the view levels and search conditions of the view.
property_folders_with_parent_location[].last_parent_view.aclAccessControlListPermissions.
property_folders_with_parent_location[].last_parent_view.flags_obsoleteuint32Bit flags that provide additional information on the view.
property_folders_with_parent_location[].last_parent_view.optionsVIEWFLAGSBit flags that provide additional information on the view.
property_folders_with_parent_location[].last_parent_view.guidstringGUID for the view.
property_folders_with_parent_location[].last_parent_view.view_visualizationViewVisualizationView visualization information.
traditional_folders_with_parent_location[]repeated TraditionalFolderWithParentResulting traditional folders.
traditional_folders_with_parent_location[].parent_location[]repeated FolderThe location of the traditional folder.
traditional_folders_with_parent_location[].parent_location[].typeFolderTypeThe type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6).
traditional_folders_with_parent_location[].parent_location[].dataFolderInfoUnionAdditional folder type -specific information as a union.
traditional_folders_with_parent_location[].valueLookupTraditional folders. This contains inserted or updated traditional folders if this struct represents a delta, otherwise it contains just a "normal" array of traditional folders.
traditional_folders_with_parent_location[].value.value_list_item_infoItemInfoThe selected item. Only obj_id is needed when setting a value.
traditional_folders_with_parent_location[].value.versionObjVerVersionThe version of the selected object. The server returns OBJ_VER_VERSION_TYPE_LATEST (-1), meaning the latest version.
traditional_folders_with_parent_location[].pinned_item_idstringThe pinned item id is the guid key referencing this item in pinboard.
objects[]repeated PinnedObjectResulting objects.
objects[].search_results_itemSearchResultsItemThe search result item.
objects[].search_results_item.objectObjectVersionExThe object and the found version: object ID, version, title, class, files and status. Property values are not included.
objects[].search_results_item.scoreint32The relevance score of the result. Higher is more relevant.
objects[].search_results_item.chunkstringFor an Aino search, the passage of text that matched. Empty for other searches.
objects[].pinned_item_idstringThe pinned item id is the guid key referencing this item in pinboard.
external_folders_with_parent_location[]repeated ExternalViewWithParentLocationExternal views. ( Represented by ExternalViewWithParentLocation struct 0
external_folders_with_parent_location[].parent_location[]repeated FolderThe location of the External view.
external_folders_with_parent_location[].parent_location[].typeFolderTypeThe type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6).
external_folders_with_parent_location[].parent_location[].dataFolderInfoUnionAdditional folder type -specific information as a union.
external_folders_with_parent_location[].valueExternalViewResulting the Exterrnal view.
external_folders_with_parent_location[].value.idExternalRepositoryIDThe view ID in external repository.
external_folders_with_parent_location[].value.display_namestringThe name of the view.
external_folders_with_parent_location[].value.external_repository_icon_idstringThe icon ID.
external_folders_with_parent_location[].value.parent_idExternalRepositoryIDThe view's parent ID in external repository. May be uninitialized if the external view does not have a parent.
external_folders_with_parent_location[].value.object_dataObjectVersionExWPIf not null, the object representation of the folder.
external_folders_with_parent_location[].value.folder_capabilitiesFOLDERCAPABILITYFLAGSBit flags that provide information on the folder capabilities.
external_folders_with_parent_location[].value.aclAccessControlListIf set, ACL.
external_folders_with_parent_location[].pinned_item_idstringThe pinned item id is the guid key referencing this item in pinboard.
more_property_foldersboolAre there more property folders? Currently it is false. It will be implemented in future.
more_objectsboolAre there more objects? Currently it is false. It will be implemented in future.
more_external_foldersboolAre there more external view folders? Currently it is false. It will be implemented in future.
limited_item_groups[]repeated int32Receives the list of item group identifications IDs the results of which were limited. The group identification ID depends on how the search results were grouped. E.g. object type ID.Currently it is not carrying any data. It will be implemented in future.
search_output_infoSearchOutputInfoAdditional information about the completed search operation.Currently it is not carrying any data. It will be implemented in future.
search_output_info.processing_time_at_engine_in_millisecondsint32The processing time at the search engine, in milliseconds. -1 if not known.
search_output_info.processing_time_at_engine_from_mfserver_in_millisecondsint32The processing time at the search engine, including network roundtrip from MFServer, in milliseconds. -1 if not known.
search_output_info.processing_time_at_mfserver_in_millisecondsint32The total processing time at MFServer, in milliseconds. -1 if not known.
search_output_info.processing_time_at_mfserver_from_client_in_millisecondsint32The total processing time at MFServer, including network roundtrip from the client, in milliseconds. -1 if not known.